package com.zskk.dicom;

import com.zskk.dicom.monitor.config.Configs;
import com.zskk.dicom.monitor.schedules.InitMonitor;
import com.zskk.dicom.monitor.schedules.StatRunner;
import com.zskk.dicom.utils.TYNetUtils;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.util.DigestUtils;
import sun.security.provider.MD5;

import java.io.File;
import java.io.IOException;
import java.nio.charset.Charset;


@SpringBootApplication(scanBasePackages = "com.zskk.dicom")
@EnableScheduling
@Configuration
@CacheEvict(allEntries = true)

public class UploaderZskkApplication {

    public UploaderZskkApplication() {
        Configs.sysLog.info("new WebStarts()...");
    }

    public static void main(String args[]) {
        SpringApplication springApplication = new SpringApplication(UploaderZskkApplication.class);
        // 初始化配置信息
        Configs.initConfig();
        StringBuilder sb = new StringBuilder();
        sb.append("Dicom dir monitor...\n");
        sb.append("--------------------------------------------------\n");
        sb.append("Monitoring directory:" + Configs.monitorDir + "\n");
        sb.append("--------------------------------------------------\n");
        Configs.sysLog.info(sb.toString());
        springApplication.run(args);
        InitMonitor.start();
        StatRunner.start();
    }
}
