package com.zskk.dicom.monitor.monitors;

import com.zskk.dicom.monitor.config.Configs;
import com.zskk.dicom.monitor.queue.IQueue;
import org.apache.commons.io.FileUtils;
import org.apache.http.util.TextUtils;

import java.io.File;
import java.util.Iterator;
import java.util.Timer;
import java.util.TimerTask;

public class BaseFileActionCallback extends FileActionCallback {

    private IQueue<String> queue = null;
    public BaseFileActionCallback(IQueue<String> queue) {
        this.queue = queue;
    }

    @Override
    public void delete(File file) {
        String msg = "File delete \t" + file.getAbsolutePath();
        Configs.sysLog.info(msg);
    }

    @Override
    public void modify(File file) {
        String msg = "File update \t" + file.getAbsolutePath();
        String absolutePath = file.getAbsolutePath();

        if(TextUtils.isEmpty(Configs.suffix) || absolutePath.endsWith(Configs.suffix)) {
            Timer timer = new Timer();
            timer.schedule(new TimerTask() {

                @Override
                public void run() {
                    Configs.sysLog.info("queue:" + queue.size());
                    // TODO Auto-generated method stub
                    queue.push(file.getAbsolutePath());
                }
            }, 50);
        }
        Configs.sysLog.info(msg+"---------监听新文件夹移动");
    }

    @Override
    public void create(File file) {
        String msg = "File create \t" + file.getAbsolutePath();
        String absolutePath = file.getAbsolutePath();
        if(file.isDirectory()) {
            Timer timer = new Timer();
            timer.schedule(new TimerTask() {

                @Override
                public void run() {
                    Iterator<File> its = FileUtils.iterateFiles(file,  TextUtils.isEmpty(Configs.suffix) ? null: new String[]{Configs.suffix}, true);
                    while (its.hasNext()) {
                        File children = its.next();
                        if(children.exists() && children.isFile()) {
                            queue.push(children.getAbsolutePath());
                        }
                    }
                }
            }, 10);

        } else if(file.isFile() &&  (TextUtils.isEmpty(Configs.suffix) || absolutePath.endsWith(Configs.suffix))) {
            Timer timer = new Timer();
            timer.schedule(new TimerTask() {

                @Override
                public void run() {
                    queue.push(file.getAbsolutePath());
                }
            }, 50);
        }
        Configs.sysLog.info(msg+"---------监听新文件夹移动");
    }
}
