package com.zskk.dicom.monitor.report;

import com.zskk.dicom.monitor.config.Configs;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class ErrReporter {

	/**
	 * 准备上报的异常队列<br />
	 * 异常将只存储最近的3种错误或异常
	 */
	protected static List<String> errReportsQueue = Collections.synchronizedList(new ArrayList<String>());

	private static ExecutorService pools = Executors.newFixedThreadPool(2);

	/**
	 * 将错误上报
	 * 
	 * @param errMsg
	 */
	public static void report(String errMsg) {
		// 异步线程发送异常
		if(Configs.sendErrReport) {
			pools.execute(new ErrReporterSender(errMsg));
		}
	}

}
