package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.utils.FileRemoveUtils;

/**
 * 移动文件runner的基类
 */
public abstract class BaseRemoveRunner extends AbstractRemoveRunner {

    BaseRemoveRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    public boolean remove() {
        String sourceFilePath = getSourceFilePath();
        return FileRemoveUtils.remove(sourceFilePath, getTargetFilePath(sourceFilePath));
    }

    /**
     * 获取被移动文件路径
     * @return
     */
    protected abstract String getSourceFilePath();

    /**
     * 获取文件移动后目标路径
     * @param sourceFilePath 被移动文件路径
     * @return
     */
    protected abstract String getTargetFilePath(String sourceFilePath);

}
