package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.CurrentUploadQueue;
import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.queue.RemoveFile2RetryQueue;
import com.zskk.dicom.monitor.queue.SuccessQueue;

public class CurrentUploadRunner extends BaseUploadRunner {

    public CurrentUploadRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    protected IQueue<String> getSuccessQueue() {
        return SuccessQueue.getInstance();
    }

    @Override
    protected IQueue<String> getErrorQueue() {
        return RemoveFile2RetryQueue.getInstance();
    }

    @Override
    protected String getUploadFilePath() {
        return CurrentUploadQueue.getInstance().pop();
    }

    @Override
    protected String getRunnerName() {
        return "CurrentUploadRunner";
    }

    @Override
    protected boolean exit() {
        return super.exit();
    }

    @Override
    protected RunnerAction action() {
        return RunnerAction.CURRENT_UPLOAD;
    }
}
