package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.ErrorQueue;
import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.utils.MonitorFileUtils;

public class ErrorRunner extends BaseRemoveRunner {

    public ErrorRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    protected boolean exit() {
        return super.exit();
    }

    @Override
    protected String getRunnerName() {
        return "ErrorRunner";
    }

    @Override
    protected String getSourceFilePath() {
        return (String) ErrorQueue.getInstance().pop();
    }

    @Override
    protected String getTargetFilePath(String sourceFilePath) {
        return MonitorFileUtils.getErrorPath(sourceFilePath);
    }

    @Override
    protected RunnerAction action() {
        return RunnerAction.ERROR_REMOVE;
    }
}
